<?xml version="1.0" encoding="UTF-8"?>
<page active="1">
	<display value="titre">identification.png</display>
	<display value="body">
		<![CDATA[
			<h1>Bienvenue sur le serveur <em>Pommultimédia for home</em> !</h1>
			<h2>Pour vous connecter au serveur, veuillez indiquer votre nom d'utilisateur ainsi que votre mot de passe.</h2>
			<form action="#" method="post" class="form-horizontal" id="login-form">
				<fieldset class="col-md-4 col-md-offset-4 well">
					<div class="form-group">
					    <label for="pseudo" class="col-sm-6 control-label">Nom d'utilisateur :</label>
					    <div class="col-sm-6"><input type="text" id="pseudo" maxlength="32" class="form-control"></div>
					</div>
					<div class="form-group">
					    <label for="mdp" class="col-sm-6 control-label">Mot de passe :</label>
					    <div class="col-sm-6"><input type="password" id="mdp" maxlength="32" class="form-control"></div>
					</div>
					<div class="form-group"><div class="col-sm-offset-6 col-sm-6"><button type="submit" id="submit" class="btn btn-primary">Connexion</button></div></div>
					<div id="erreur" style="text-align: center"></div>
				</fieldset>
			</form>
		]]>
	</display>
	<display value="js">
		<![CDATA[
function connexion(nom, pass)
{
    printState(4);
    $('#pseudo').prop("disabled", true);
    $('#mdp').prop("disabled", true);

    $.ajax({
	url: "ajax.php?d=connecte",
	type: "POST",
	data: {name: nom, mdp: pass}
    }).done(function(data) {
        if (data.documentElement.getAttribute("statut") == 1)
	{
	    printState(2);
	    username = nom.toLowerCase();
	    page_accueil();
	}
	else
	{
	    $('#pseudo').prop("disabled", false);
	    $('#mdp').prop("disabled", false);
	    $('#pseudo').parent().parent().addClass("has-error");
	    $('#mdp').parent().parent().addClass("has-error");
	    $('#erreur').html('<div class="alert alert-danger">Nom d\'utilisateur ou mot de passe incorrect !</div>');
	    $('#pseudo').focus();
	    $('#pseudo').select();
	    printState(0);
	}
    }).fail(function(jqXHR, textStatus) {
	printState(7, textStatus);
    });
}

$('#login-form').submit(function() { connexion($('#pseudo').val(), $('#mdp').val()); return false; });
$('#pseudo').focus();
		]]>
	</display>

	<security default="authorized" />
</page>